package de.stoermer.xxx.domain.aufgaben;

import java.time.LocalDateTime;
import java.time.temporal.ChronoUnit;

public class Timer {

	private int sekunden;
	private LocalDateTime ziel;
	
	public Timer(int sekunden) {
		this.sekunden = sekunden;
	}
	
	public void start() {
		ziel = LocalDateTime.now().plusSeconds(sekunden);
	}
	
	public int getRestSekunden() {
		return (int) ChronoUnit.SECONDS.between(LocalDateTime.now(), ziel);
	}
}
